using CommunityToolkit.Mvvm.Messaging;

namespace salesbook.Shared.Core.Messages.Activity.New;

public class NewActivityService
{
    public event Action<string>? OnActivityCreated;

    public NewActivityService(IMessenger messenger)
    {
        messenger.Register<NewActivityMessage>(this, (_, o) =>
        {
            OnActivityCreated?.Invoke(o.Value);
        });
    }
}
